itpp::Front_Drop_Queue Class Reference

ADD DOCUMENTATION HERE. More...

`#include <itpp/protocol/front_drop_queue.h>`

Inheritance diagram for itpp::Front_Drop_Queue:

## Public Member Functions

| Front_Drop_Queue (const int max_bytes=DEFAULT_MAX_BYTES_IN_QUEUE)
| ADD DOCUMENTATION HERE.
void | set_debug (const bool enable_debug=true)
| ADD DOCUMENTATION HERE.
void | push (Packet *packet)
| ADD DOCUMENTATION HERE.
void | pop ()
| ADD DOCUMENTATION HERE.
void | set_max_byte_size (int max_bytes)
| ADD DOCUMENTATION HERE.
int | max_byte_size ()
| ADD DOCUMENTATION HERE.
int | byte_size ()
| ADD DOCUMENTATION HERE.

## Public Attributes

T | elements
| STL member.

## Detailed Description

ADD DOCUMENTATION HERE.

Definition at line 56 of file front_drop_queue.h.

The documentation for this class was generated from the following files:

- itpp/protocol/front_drop_queue.h
- itpp/protocol/front_drop_queue.cpp

Generated on Mon Mar 23 2020 06:18:03 for IT++ by Doxygen 1.8.17